* tests/grub_script_expansion.in: Use fixed-string grep to skip over

firmware error messages.
This commit is contained in:
Vladimir 'phcoder' Serbinenko 2013-04-15 01:53:33 +02:00
parent cbe57a487b
commit fa7d914e6c
2 changed files with 8 additions and 3 deletions

View File

@ -1,3 +1,8 @@
2013-04-15 Vladimir Serbinenko <phcoder@gmail.com>
* tests/grub_script_expansion.in: Use fixed-string grep to skip over
firmware error messages.
2013-04-15 Vladimir Serbinenko <phcoder@gmail.com>
* grub-core/kern/ieee1275/openfw.c (grub_ieee1275_devalias_next): Make

View File

@ -21,12 +21,12 @@ disks=`echo ls | @builddir@/grub-shell| grep -av '^Network protocols:$'| grep -a
other=`echo insmod regexp\; echo \* | @builddir@/grub-shell`
for d in $disks; do
if echo "$d" |grep ',' >/dev/null; then
if echo "$other" | grep "$d" >/dev/null; then
if echo "$other" | grep -F -- "$d" >/dev/null; then
echo "$d should not occur in * expansion" >&2
exit 1
fi
else
if ! echo "$other" | grep "$d" >/dev/null; then
if ! echo "$other" | grep -F -- "$d" >/dev/null; then
echo "$d missing from * expansion" >&2
exit 1
fi
@ -35,7 +35,7 @@ done
other=`echo insmod regexp\; echo '(*)' | @builddir@/grub-shell`
for d in $disks; do
if ! echo "$other" | grep -F "$d" >/dev/null; then
if ! echo "$other" | grep -F -- "$d" >/dev/null; then
echo "$d missing from (*) expansion" >&2
exit 1
fi